<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.cy</groupId>
        <artifactId>guoyan</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>guoyan-ai</artifactId>
    <packaging>jar</packaging>
    <name>${project.artifactId}</name>

    <dependencies>
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-module-infra</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-biz-data-permission</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-biz-ip</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-redis</artifactId>
        </dependency>

        <!-- Job 定时任务相关 -->
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-job</artifactId>
        </dependency>

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-mq</artifactId>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>com.anji-plus</groupId>
            <artifactId>captcha-spring-boot-starter</artifactId> <!-- 验证码，一般用于登录使用 -->
        </dependency>
        <dependency>
            <groupId>com.cy</groupId>
            <artifactId>guoyan-module-system</artifactId>
            <version>2.6.0-jdk8-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>

    </dependencies>

</project>